Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.generator
Class PolicyEnumeratorPayload

    java.lang.Object
      lbg.simulator.tools.generator.PolicyEnumeratorPayload

All Implemented Interfaces:
  ScenarioPayload

    public class PolicyEnumeratorPayload

extends java.lang.Object
implements ScenarioPayload

Author:
  Cyril Briquet

Constructor Summary
`PolicyEnumeratorPayload(BarteringAccountantType ba, ConsumptionNegotiationType cn, SupplyingNegotiationType sn, LocalSchedulingType ls, SupplyingRunningPreemptionType rp, SupplyingWaitingPreemptionType wp, SupplyingFilteringType sf, ConsumptionSchedulingType cs, SupplyingSchedulingType ss)`

Method Summary
`BarteringAccountantType` | `getBarteringAccountantType()`
`ConsumptionNegotiationType` | `getConsumptionNegotiationType()`
`ConsumptionSchedulingType` | `getConsumptionSchedulingType()`
`LocalSchedulingType` | `getLocalSchedulingType()`
`SupplyingFilteringType` | `getSupplyingFilteringType()`
`SupplyingNegotiationType` | `getSupplyingNegotiationType()`
`SupplyingRunningPreemptionType` | `getSupplyingRunningPreemptionType()`
`SupplyingSchedulingType` | `getSupplyingSchedulingType()`
`SupplyingWaitingPreemptionType` | `getSupplyingWaitingPreemptionType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyEnumeratorPayload

    public PolicyEnumeratorPayload(BarteringAccountantType ba,
                                   ConsumptionNegotiationType cn,
                                   SupplyingNegotiationType sn,
                                   LocalSchedulingType ls,
                                   SupplyingRunningPreemptionType rp,
                                   SupplyingWaitingPreemptionType wp,
                                   SupplyingFilteringType sf,
                                   ConsumptionSchedulingType cs,
                                   SupplyingSchedulingType ss)
                            throws GridException

Throws:
  `GridException`

Method Detail

### getBarteringAccountantType

    public BarteringAccountantType getBarteringAccountantType()

### getConsumptionNegotiationType

    public ConsumptionNegotiationType getConsumptionNegotiationType()

### getSupplyingNegotiationType

    public SupplyingNegotiationType getSupplyingNegotiationType()

### getLocalSchedulingType

    public LocalSchedulingType getLocalSchedulingType()

### getSupplyingRunningPreemptionType

    public SupplyingRunningPreemptionType getSupplyingRunningPreemptionType()

### getSupplyingWaitingPreemptionType

    public SupplyingWaitingPreemptionType getSupplyingWaitingPreemptionType()

### getSupplyingFilteringType

    public SupplyingFilteringType getSupplyingFilteringType()

### getConsumptionSchedulingType

    public ConsumptionSchedulingType getConsumptionSchedulingType()

### getSupplyingSchedulingType

    public SupplyingSchedulingType getSupplyingSchedulingType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.